/

/******************************************************************************/
/******************************************************************************/
/* Trigger: DTULTATU_PALM                                                     */
/* Tabela : PALM                                                              */
/*                                                                            */
/* Criao:                                                                   */
/* 27/04/2005 - Rafael Christopher de Souza e Silva       		      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PALM
BEFORE INSERT OR UPDATE OR DELETE
ON PALM FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPALM := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NMPALM,0) <> NVL(:NEW.NMPALM,0)) THEN
         :NEW.DTULTATUPALM := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PALM', '', 'CDFILIAL='||:OLD.CDFILIAL||';CDPALM='||:OLD.CDPALM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PALM MODIFY DTULTATUPALM DEFAULT SYSDATE
/
